# Maintainer: OpenStage <openstagelinux@gmail.com>

pkgbase=live-services
pkgname=('openstage-live-base'
        'openstage-live-openrc'
        'openstage-live-runit'
        'openstage-live-s6'
        'openstage-live-suite66'
        'openstage-live-dinit')
pkgver=0.13.4
pkgrel=5
pkgdesc='OpenStage live session'
arch=('any')
url="https://gitea.artixlinux.org/artix/live-services"
license=('GPL')
makedepends=('git')
# Build a commit point
#_commit=91b23a52650c592c2f2596e9a2fb350d8a5c4aa6 # 0.11.1
#source=("git+$url.git#commit=$_commit")
source=("${pkgbase}.tar.gz")
md5sums=('e21ddd7de5248b758a87059cf5f0079c')

build() {
    cd ${pkgbase}
    make
}

package_openstage-live-base() {
    pkgdesc='OpenStage live base scripts'
    depends=('opentools-base')

    cd ${pkgbase}
    make DESTDIR=${pkgdir} install_base install_xdg
}

package_openstage-live-openrc() {
    pkgdesc='OpenStage live openrc init scripts'
    depends=('openrc' 'openstage-live-base')

    cd ${pkgbase}
    make DESTDIR=${pkgdir} install_rc

    install -d "${pkgdir}"/etc/runlevels/default
    ln -sf /etc/init.d/pacman-init "${pkgdir}"/etc/runlevels/default/pacman-init
    ln -sf /etc/init.d/openstage-live "${pkgdir}"/etc/runlevels/default/openstage-live
}

package_openstage-live-runit() {
    pkgdesc='OpenStage live runit init scripts'
    depends=('runit' 'openstage-live-base')

    cd ${pkgbase}
    make DESTDIR=${pkgdir} install_runit

    install -d "${pkgdir}"/etc/runit/runsvdir/default
    ln -sf /etc/runit/sv/pacman-init "${pkgdir}"/etc/runit/runsvdir/default/pacman-init
}

package_openstage-live-s6() {
    pkgdesc='OpenStage live s6 init scripts'
    depends=('s6-base' 'openstage-live-base')

    cd ${pkgbase}
    make DESTDIR=${pkgdir} install_s6
}

package_openstage-live-suite66() {
    pkgdesc='OpenStage live suite66 init scripts'
    depends=('suite66-base' 'openstage-live-base')

    cd ${pkgbase}
    make DESTDIR=${pkgdir} install_66
}

package_openstage-live-dinit() {
    pkgdesc='OpenStage live dinit init scripts'
    depends=('dinit' 'openstage-live-base')

    cd ${pkgbase}
    make DESTDIR=${pkgdir} install_dinit
}
